profile
viewpoint

Ask questionsDocs should be updated for new error suppression mechanisms

Upon upgrading to 0.127.0, I received the following error:

.flowconfig:15 Unsupported option specified! (suppress_comment)

I figured this must be a result of the new error suppression stuff, so I figured I would go to flow.org and see what changes I should make to my config to resolve the issue. I found a bunch of documentation that no longer applies:

https://flow.org/en/docs/config/options/#toc-suppress-comment-regex

facebook/flow

Answer questions dsainati1

Docs were updated in 42de9df5cf38d12b6fc51cb6a50f97b17e053828. More specific documentation about error codes and how they are used is upcoming.

useful!

Related questions

Common spread pattern leads to "exponentially large number of cases" errors hot 1
Flow issue "Please upgrade flow to version >=0.75." hot 1
Object.fromEntries type defs missing hot 1
Cannot set defaultProps with React.memo and React.forwardRef hot 1
Inexact rest object claims it may have properties it can't possibly have hot 1
Inexact rest object claims it may have properties it can't possibly have hot 1
Inexact rest object claims it may have properties it can't possibly have hot 1
0.92.0 release crashes on startup (Unix.Unix_error) hot 1
module.name_mapper does not find nested modules on windows hot 1
Cannot import useState because there is no useState export in react. hot 1
Can't use a default value from a destructuring assignment as a computed property since 0.111 hot 1
Support optional chaining - flow hot 1
Flow issue "Please upgrade flow to version >=0.75." hot 1
Allow explicitly including a folder under an ignored path hot 1
Flow caches and fails to purge errors hot 1
source:https://uonfu.com/
Github User Rank List